Index: /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/MORPHEO_micro_architecture-overview.fig
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/MORPHEO_micro_architecture-overview.fig	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/MORPHEO_micro_architecture-overview.fig	(revision 88)
@@ -1,3 +1,3 @@
-#FIG 3.2  Produced by xfig version 3.2.5
+#FIG 3.2
 Landscape
 Center
@@ -8,41 +8,30 @@
 -2
 1200 2
-6 4770 3240 5490 3690
-2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
-	 5490 3690 4770 3690 4770 3240 5490 3240 5490 3690
-4 1 0 50 -1 -1 12 0.0000 4 120 645 5130 3420 context\001
-4 1 0 50 -1 -1 12 0.0000 4 120 420 5130 3600 state\001
--6
 6 8370 3690 9090 4140
 2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
 	 9090 4140 8370 4140 8370 3690 9090 3690 9090 4140
-4 1 0 50 -1 -1 12 0.0000 4 150 390 8730 3960 read\001
+4 1 0 50 -1 -1 12 0.0000 4 135 330 8730 3960 read\001
 -6
 6 11250 3690 11970 4140
 2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
 	 11970 4140 11250 4140 11250 3690 11970 3690 11970 4140
-4 1 0 50 -1 -1 12 0.0000 4 150 450 11610 3960 write\001
+4 1 0 50 -1 -1 12 0.0000 4 135 390 11610 3960 write\001
 -6
 6 9810 2475 10530 2925
 2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
 	 10530 2925 9810 2925 9810 2475 10530 2475 10530 2925
-4 1 0 50 -1 -1 12 0.0000 4 165 345 10170 2835 port\001
-4 1 0 50 -1 -1 12 0.0000 4 150 630 10170 2655 dcache\001
+4 1 0 50 -1 -1 12 0.0000 4 150 300 10170 2835 port\001
+4 1 0 50 -1 -1 12 0.0000 4 135 540 10170 2655 dcache\001
 -6
 6 3825 3060 4635 3510
 2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
 	 4590 3510 3870 3510 3870 3060 4590 3060 4590 3510
-4 1 0 50 -1 -1 12 0.0000 4 195 780 4230 3330 predictor\001
--6
-6 2970 3690 3690 4140
-2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
-	 3690 4140 2970 4140 2970 3690 3690 3690 3690 4140
-4 1 0 50 -1 -1 12 0.0000 4 150 435 3330 3960 fetch\001
+4 1 0 50 -1 -1 12 0.0000 4 180 675 4230 3330 predictor\001
 -6
 6 1890 3690 2610 4140
 2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
 	 2610 4140 1890 4140 1890 3690 2610 3690 2610 4140
-4 1 0 50 -1 -1 12 0.0000 4 165 345 2250 4050 port\001
-4 1 0 50 -1 -1 12 0.0000 4 150 570 2250 3870 icache\001
+4 1 0 50 -1 -1 12 0.0000 4 150 300 2250 4050 port\001
+4 1 0 50 -1 -1 12 0.0000 4 135 495 2250 3870 icache\001
 -6
 6 1800 4590 5265 5355
@@ -53,17 +42,12 @@
 2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
 	 2160 5310 1800 5310 1800 5130 2160 5130 2160 5310
-4 0 0 50 -1 -1 12 0.0000 4 195 660 2340 4770 Groupe\001
-4 0 0 50 -1 -1 12 0.0000 4 195 2610 2340 5310 Une occurence dans le groupe\001
-4 0 0 50 -1 -1 12 0.0000 4 195 3120 2340 5040 Plusieurs occurences dans le groupe\001
+4 0 0 50 -1 -1 12 0.0000 4 180 555 2340 4770 Groupe\001
+4 0 0 50 -1 -1 12 0.0000 4 180 2280 2340 5310 Une occurence dans le groupe\001
+4 0 0 50 -1 -1 12 0.0000 4 180 2760 2340 5040 Plusieurs occurences dans le groupe\001
 -6
 6 6570 3015 7290 3465
 2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
 	 7290 3465 6570 3465 6570 3015 7290 3015 7290 3465
-4 1 0 50 -1 -1 12 0.0000 4 150 645 6930 3285 commit\001
--6
-6 4770 3690 5490 4140
-2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
-	 5490 4140 4770 4140 4770 3690 5490 3690 5490 4140
-4 1 0 50 -1 0 12 0.0000 4 150 525 5130 3960 decod\001
+4 1 0 50 -1 -1 12 0.0000 4 135 555 6930 3285 commit\001
 -6
 2 1 0 1 0 7 50 -1 -1 4.000 0 0 -1 1 0 4
@@ -165,15 +149,25 @@
 2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
 	 10530 3870 9810 3870 9810 3420 10530 3420 10530 3870
+2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
+	 3690 4140 2970 4140 2970 3690 3690 3690 3690 4140
+2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
+	 5490 4140 4770 4140 4770 3690 5490 3690 5490 4140
 2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
+	 5490 3690 4770 3690 4770 3240 5490 3240 5490 3690
+2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
 	 6570 4140 5850 4140 5850 3690 6570 3690 6570 4140
-4 1 0 50 -1 -1 12 0.0000 4 195 660 10170 4905 register\001
-4 1 0 50 -1 -1 12 1.5708 4 150 510 10935 3915 select\001
-4 1 0 50 -1 -1 12 1.5708 4 150 510 9495 3915 select\001
-4 0 1 50 -1 -1 12 0.0000 4 150 435 1710 2205 Core\001
-4 0 1 50 -1 -1 12 0.0000 4 150 855 2790 2790 Front End\001
-4 0 1 50 -1 -1 12 0.0000 4 195 1365 8190 3015 Execution Loop\001
-4 0 1 50 -1 -1 12 0.0000 4 195 1770 5760 2520 Out Of Order Engine\001
-4 1 0 50 -1 -1 12 1.5708 4 150 510 7875 3600 select\001
-4 1 0 50 -1 -1 12 0.0000 4 120 690 10170 4230 execute\001
-4 1 0 50 -1 -1 12 0.0000 4 150 720 10170 3690 memory\001
-4 1 0 50 -1 0 12 0.0000 4 105 660 6210 3960 rename\001
+4 1 0 50 -1 -1 12 0.0000 4 180 585 10170 4905 register\001
+4 1 0 50 -1 -1 12 1.5708 4 135 465 10935 3915 select\001
+4 1 0 50 -1 -1 12 1.5708 4 135 465 9495 3915 select\001
+4 0 1 50 -1 -1 12 0.0000 4 135 360 1710 2205 Core\001
+4 0 1 50 -1 -1 12 0.0000 4 135 750 2790 2790 Front End\001
+4 0 1 50 -1 -1 12 0.0000 4 180 1185 8190 3015 Execution Loop\001
+4 0 1 50 -1 -1 12 0.0000 4 180 1575 5760 2520 Out Of Order Engine\001
+4 1 0 50 -1 -1 12 1.5708 4 135 465 7875 3600 select\001
+4 1 0 50 -1 -1 12 0.0000 4 105 600 10170 4230 execute\001
+4 1 0 50 -1 -1 12 0.0000 4 135 600 10170 3690 memory\001
+4 1 0 50 -1 0 12 0.0000 4 90 555 6210 3960 rename\001
+4 1 0 50 -1 -1 12 0.0000 4 135 390 3330 3960 fetch\001
+4 1 0 50 -1 0 12 0.0000 4 135 450 5130 3960 decod\001
+4 1 0 50 -1 -1 12 0.0000 4 105 570 5130 3420 context\001
+4 1 0 50 -1 -1 12 0.0000 4 105 390 5130 3600 state\001
Index: /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/VHDL_methodologie.fig
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/VHDL_methodologie.fig	(revision 87)
+++ /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/VHDL_methodologie.fig	(revision 88)
@@ -8,14 +8,21 @@
 -2
 1200 2
-6 -1425 -600 2850 4050
+6 900 -1500 2100 -750
+6 900 -1500 2100 -1200
+2 4 0 1 0 30 51 -1 20 0.000 0 0 7 0 0 5
+	 2100 -1200 900 -1200 900 -1500 2100 -1500 2100 -1200
+4 1 0 50 -1 2 8 0.0000 0 105 315 1500 -1350 D\351but\001
+-6
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 1500 -1200 1500 -750
+-6
 1 1 0 1 0 6 51 -1 20 0.000 1 0.0000 -750 750 600 225 -750 750 -150 525
+1 1 0 1 0 6 51 -1 20 0.000 1 0.0000 1500 3075 600 225 1500 3075 2100 2850
+1 1 0 1 0 6 51 -1 20 0.000 1 0.0000 1500 375 600 225 1500 375 2100 150
 1 1 0 1 0 6 51 -1 20 0.000 1 0.0000 1500 2175 600 225 1500 2175 2100 1950
-1 1 0 1 0 6 51 -1 20 0.000 1 0.0000 1500 3075 600 225 1500 3075 2100 2850
 2 1 0 1 0 7 50 -1 20 0.000 0 0 -1 1 0 2
 	3 0 1.00 60.00 120.00
-	 1650 600 2250 1050
-2 1 0 1 0 7 50 -1 20 0.000 0 0 -1 1 0 2
-	3 0 1.00 60.00 120.00
-	 1350 600 1050 1050
+	 1500 825 2250 1050
 2 1 0 1 0 7 50 -1 20 0.000 0 0 -1 1 0 2
 	3 0 1.00 60.00 120.00
@@ -38,35 +45,45 @@
 2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 4
 	3 0 1.00 60.00 120.00
-	 -750 525 -750 -75 1200 -75 1200 150
+	 -750 525 -750 -975 1200 -975 1200 -750
 2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 3
 	3 0 1.00 60.00 120.00
 	 900 3075 -750 3075 -750 975
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
-	3 0 1.00 60.00 120.00
-	 1500 -300 1500 150
-2 4 0 1 0 30 51 -1 20 0.000 0 0 7 0 0 5
-	 2100 -300 900 -300 900 -600 2100 -600 2100 -300
 2 4 0 1 0 30 51 -1 20 0.000 0 0 7 0 0 5
 	 2100 4050 900 4050 900 3750 2100 3750 2100 4050
-2 4 0 1 0 11 51 -1 20 0.000 0 0 7 0 0 5
-	 2100 600 900 600 900 150 2100 150 2100 600
 2 4 0 1 0 11 51 -1 20 0.000 0 0 7 0 0 5
 	 1350 1500 150 1500 150 1050 1350 1050 1350 1500
 2 4 0 1 0 11 51 -1 20 0.000 0 0 7 0 0 5
 	 2850 1500 1650 1500 1650 1050 2850 1050 2850 1500
-4 1 0 50 -1 2 8 0.0000 0 75 240 1500 2175 Test\001
-4 1 0 50 -1 2 8 0.0000 0 90 990 2250 1275 TestBench VHDL\001
-4 1 0 50 -1 2 8 0.0000 0 105 1005 750 1275 G\351n\351rateur VHDL\001
-4 1 0 50 -1 2 8 0.0000 0 105 465 1500 375 SystemC\001
-4 1 0 50 -1 2 8 0.0000 0 90 1050 -750 675 Modification locale\001
-4 1 0 50 -1 2 8 0.0000 0 105 1035 -750 825 (micro architecture)\001
-4 1 0 50 -1 2 8 0.0000 0 105 315 1500 -450 D\351but\001
-4 1 0 50 -1 2 8 0.0000 0 135 810 1500 3075 Synth\350tisable ?\001
-4 1 0 50 -1 2 8 0.0000 0 90 195 1500 3900 Fin\001
--6
+2 1 0 1 0 7 50 -1 20 0.000 0 0 7 1 0 2
+	3 0 1.00 60.00 120.00
+	 1500 825 1050 1050
+2 1 0 1 0 7 50 -1 20 0.000 0 0 -1 0 0 2
+	 1500 600 1500 825
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 5
+	3 0 1.00 60.00 120.00
+	 2100 375 2250 375 2250 -900 1800 -900 1800 -750
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 1500 -300 1500 150
+2 4 0 1 0 11 51 -1 20 0.000 0 0 7 0 0 5
+	 2100 -300 900 -300 900 -750 2100 -750 2100 -300
 4 0 0 51 -1 0 8 0.0000 0 75 120 1575 3450 ok\001
 4 0 0 51 -1 0 8 0.0000 0 75 315 -75 675 locale\001
 4 0 0 51 -1 0 8 0.0000 0 90 375 -675 450 globale\001
 4 2 0 51 -1 0 8 0.0000 0 75 120 900 3000 ko\001
-4 2 0 51 -1 0 8 0.0000 0 75 120 900 2100 ko\001
+4 1 0 50 -1 2 8 0.0000 0 90 1050 -750 675 Modification locale\001
+4 1 0 50 -1 2 8 0.0000 0 105 1035 -750 825 (micro architecture)\001
+4 1 0 50 -1 2 8 0.0000 0 135 810 1500 3075 Synth\350tisable ?\001
+4 1 0 50 -1 2 8 0.0000 0 90 195 1500 3900 Fin\001
+4 0 0 51 -1 0 8 0.0000 0 75 120 1575 750 ok\001
+4 1 0 50 -1 2 8 0.0000 0 75 240 1500 375 Test\001
+4 0 0 51 -1 0 8 0.0000 0 75 120 2025 225 ko\001
 4 0 0 51 -1 0 8 0.0000 0 75 120 1575 2550 ok\001
+4 1 0 50 -1 2 8 0.0000 0 75 240 1500 2175 Test\001
+4 2 0 51 -1 0 8 0.0000 0 75 120 825 2025 ko\001
+4 1 0 50 -1 2 8 0.0000 0 75 375 750 1425 VHDL\001
+4 1 0 50 -1 2 8 0.0000 0 75 375 2250 1425 VHDL\001
+4 1 0 50 -1 2 8 0.0000 0 90 615 2250 1200 TestBench \001
+4 1 0 50 -1 2 8 0.0000 0 105 465 1500 -375 SystemC\001
+4 1 0 50 -1 2 8 0.0000 0 105 450 750 1200 Mod\350le \001
+4 1 0 50 -1 2 8 0.0000 0 105 450 1500 -600 Mod\350le \001
Index: /trunk/IPs/systemC/processor/Morpheo/Files/Instance_min.cfg
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Files/Instance_min.cfg	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Files/Instance_min.cfg	(revision 88)
@@ -0,0 +1,181 @@
+<?xml version="1.0" encoding="ISO-8859-1" ?>
+
+<core name="Instance_min">
+
+  <thread id="0">             
+    <parameter name="size_ifetch_queue"                     value="1" />
+    <parameter name="nb_inst_fetch"                         value="1" />
+    <parameter name="ras_size_queue"                        value="2" />
+    <parameter name="upt_size_queue"                        value="2" />
+
+    <group id="0">
+      <parameter name="implement_group"                     value="1" />
+    </group>
+  </thread>                                                 
+                                                            
+  <decod_bloc id="0">                                       
+    <parameter name="size_decod_queue"                      value="1" />
+    <parameter name="nb_inst_decod"                         value="1" />
+    <parameter name="nb_context_select"                     value="1" />
+    <parameter name="context_select_priority"               value="1" />
+    <parameter name="context_select_load_balancing"         value="1" />
+  </decod_bloc>                                             
+                                                            
+  <rename_bloc id="0">                                      
+    <parameter name="nb_inst_insert"                        value="1" />
+    <parameter name="nb_inst_retire"                        value="1" />
+    <parameter name="rename_select_priority"                value="1" />
+    <parameter name="rename_select_load_balancing"          value="1" />
+    <parameter name="rename_select_nb_front_end_select"     value="1" />
+    <parameter name="nb_general_register"                   value="64"/>
+    <parameter name="nb_special_register"                   value="4" />
+    <parameter name="nb_reg_free"                           value="1" />
+    <parameter name="nb_rename_unit_bank"                   value="1" />
+    <parameter name="size_read_counter"                     value="1" />
+  </rename_bloc>                                            
+                                                            
+  <read_bloc id="0">                                        
+    <parameter name="size_read_queue"                       value="1" />
+    <parameter name="size_reservation_station"              value="1" />
+    <parameter name="nb_inst_retire_reservation_station"    value="1" />
+  </read_bloc>                                              
+                                                            
+  <write_bloc id="0">                                       
+    <parameter name="size_write_queue"                      value="1" />
+    <parameter name="size_execute_queue"                    value="1" />
+    <parameter name="nb_bypass_write"                       value="0" />
+  </write_bloc>                                             
+                                                            
+  <load_store_unit id="0">                                  
+    <parameter name="size_store_queue"                      value="2" />
+    <parameter name="size_load_queue"                       value="1" />
+    <parameter name="size_speculative_access_queue"         value="1" />
+    <parameter name="nb_port_check"                         value="1" />
+    <parameter name="speculative_load"                      value="2" />
+    <parameter name="nb_bypass_memory"                      value="0" />
+    <parameter name="nb_cache_port"                         value="1" />
+    <parameter name="nb_inst_memory"                        value="1" />
+  </load_store_unit>
+
+  <functionnal_unit id="0">
+    <parameter name="nb_inst_functionnal_unit" value="1" />
+
+    <timing type="0" latence="1" delay="1" />
+  </functionnal_unit>
+
+  <front_end id="0">        
+    <parameter name="nb_decod_unit"                         value="1" />
+    <parameter name="nb_inst_branch_predict"                value="1" />
+    <parameter name="nb_inst_branch_decod"                  value="1" />
+    <parameter name="nb_inst_branch_update"                 value="1" />
+    <parameter name="btb_size_queue"                        value="1" />
+    <parameter name="btb_associativity"                     value="1" />
+    <parameter name="btb_size_counter"                      value="2" />
+    <parameter name="btb_victim_scheme"                     value="1" />
+    <parameter name="dir_predictor_scheme"                  value="1" />
+                                                            
+    <predictor id="0">                                      
+      <parameter name="dir_have_bht"                        value="1" />
+      <parameter name="dir_bht_size_shifter"                value="1" />
+      <parameter name="dir_bht_nb_shifter"                  value="1" />
+      <parameter name="dir_have_pht"                        value="1" />
+      <parameter name="dir_pht_size_counter"                value="1" />
+      <parameter name="dir_pht_nb_counter"                  value="1" />
+      <parameter name="dir_pht_size_address_share"          value="1" />
+    </predictor>                                            
+                                                            
+    <predictor id="1">                                      
+      <parameter name="dir_have_bht"                        value="1" />
+      <parameter name="dir_bht_size_shifter"                value="1" />
+      <parameter name="dir_bht_nb_shifter"                  value="1" />
+      <parameter name="dir_have_pht"                        value="1" />
+      <parameter name="dir_pht_size_counter"                value="1" />
+      <parameter name="dir_pht_nb_counter"                  value="1" />
+      <parameter name="dir_pht_size_address_share"          value="1" />
+    </predictor>                                            
+                                                            
+    <predictor id="2">                                      
+      <parameter name="dir_have_bht"                        value="1" />
+      <parameter name="dir_bht_size_shifter"                value="1" />
+      <parameter name="dir_bht_nb_shifter"                  value="1" />
+      <parameter name="dir_have_pht"                        value="1" />
+      <parameter name="dir_pht_size_counter"                value="1" />
+      <parameter name="dir_pht_nb_counter"                  value="1" />
+      <parameter name="dir_pht_size_address_share"          value="1" />
+    </predictor>
+  </front_end>
+
+  <ooo_engine id="0">
+    <parameter name="nb_rename_unit"                        value="1" />
+    <parameter name="nb_inst_issue"                         value="1" />
+    <parameter name="nb_inst_reexecute"                     value="1" />
+    <parameter name="nb_inst_commit"                        value="1" />
+    <parameter name="nb_inst_branch_complete"               value="1" />
+    <parameter name="nb_rename_unit_select"                 value="1" />
+    <parameter name="nb_execute_loop_select"                value="1" />
+    <parameter name="size_re_order_buffer"                  value="1" />
+    <parameter name="nb_re_order_buffer_bank"               value="1" />
+    <parameter name="commit_priority"                       value="1" />
+    <parameter name="commit_load_balancing"                 value="1" />
+    <parameter name="size_issue_queue"                      value="1" />
+    <parameter name="nb_issue_queue_bank"                   value="1" />
+    <parameter name="issue_priority"                        value="1" />
+    <parameter name="issue_load_balancing"                  value="1" />
+    <parameter name="size_reexecute_queue"                  value="1" />
+    <parameter name="reexecute_priority"                    value="1" />
+    <parameter name="reexecute_load_balancing"              value="1" />
+  </ooo_engine>
+
+  <execute_loop id="0">
+    <parameter name="nb_read_unit"                          value="1" />
+    <parameter name="nb_write_unit"                         value="1" />
+    <parameter name="nb_gpr_bank"                           value="1" />
+    <parameter name="nb_gpr_port_read_by_bank"              value="1" />
+    <parameter name="nb_gpr_port_write_by_bank"             value="1" />
+    <parameter name="nb_spr_bank"                           value="1" />
+    <parameter name="nb_spr_port_read_by_bank"              value="1" />
+    <parameter name="nb_spr_port_write_by_bank"             value="1" />
+    <parameter name="execution_unit_to_write_unit_priority" value="1" />
+    <parameter name="read_unit_to_execution_unit_priority"  value="1" />
+
+    <execute_unit id="1">
+      <link name="link_execute_unit_with_load_store_unit"   src="0"/>
+    </execute_unit>
+    <execute_unit id="0">
+      <link name="link_execute_unit_with_functionnal_unit"  src="0"/>
+    </execute_unit>
+
+  </execute_loop>
+
+  <parameter name="size_data"                               value="32" />
+                                                            
+  <parameter name="dispatch_priority"                       value="1" />
+  <parameter name="dispatch_load_balancing"                 value="1" />
+                                                            
+  <parameter name="nb_icache_port"                          value="1" />
+  <parameter name="icache_port_priority"                    value="1" />
+  <parameter name="icache_port_load_balancing"              value="1" />
+                                                            
+  <parameter name="nb_dcache_port"                          value="1" />
+  <parameter name="dcache_port_priority"                    value="1" />
+  <parameter name="dcache_port_load_balancing"              value="1" />
+
+  <link name="link_decod_unit_with_decod_bloc"         src="0"     dest="0.0" />
+  <link name="link_rename_unit_with_rename_bloc"       src="0"     dest="0.0" />
+  <link name="link_read_unit_with_read_bloc"           src="0"     dest="0.0" />
+  <link name="link_write_unit_with_write_bloc"         src="0"     dest="0.0" />
+  <link name="link_decod_bloc_with_thread"             src="0"     dest="0"   />
+  <link name="link_rename_bloc_with_front_end"         src="0"     dest="0"   />
+  <link name="link_load_store_unit_with_thread"        src="0"     dest="0"   />
+
+  <link name="link_icache_port_with_thread"            src="0"     dest="0"   />
+  <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
+
+  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="0.0"   dest="1"   />
+
+</core>
Index: /trunk/IPs/systemC/processor/Morpheo/Files/Instance_scalar_1.cfg
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Files/Instance_scalar_1.cfg	(revision 88)
+++ /trunk/IPs/systemC/processor/Morpheo/Files/Instance_scalar_1.cfg	(revision 88)
@@ -0,0 +1,151 @@
+<?xml version="1.0" encoding="ISO-8859-1" ?>
+
+<core name="Instance_min">
+
+  <thread id="0">             
+    <parameter name="size_ifetch_queue"                     value="4" />
+    <parameter name="nb_inst_fetch"                         value="1" />
+    <parameter name="ras_size_queue"                        value="2" />
+    <parameter name="upt_size_queue"                        value="2" />
+
+    <group id="0">
+      <parameter name="implement_group"                     value="1" />
+    </group>
+  </thread>                                                 
+                                                            
+  <decod_bloc id="0">                                       
+    <parameter name="size_decod_queue"                      value="2" />
+    <parameter name="nb_inst_decod"                         value="1" />
+    <parameter name="nb_context_select"                     value="1" />
+    <parameter name="context_select_priority"               value="1" />
+    <parameter name="context_select_load_balancing"         value="1" />
+  </decod_bloc>                                             
+                                                            
+  <rename_bloc id="0">                                      
+    <parameter name="nb_inst_insert"                        value="1" />
+    <parameter name="nb_inst_retire"                        value="1" />
+    <parameter name="rename_select_priority"                value="1" />
+    <parameter name="rename_select_load_balancing"          value="1" />
+    <parameter name="rename_select_nb_front_end_select"     value="1" />
+    <parameter name="nb_general_register"                   value="64"/>
+    <parameter name="nb_special_register"                   value="4" />
+    <parameter name="nb_reg_free"                           value="1" />
+    <parameter name="nb_rename_unit_bank"                   value="1" />
+    <parameter name="size_read_counter"                     value="1" />
+  </rename_bloc>                                            
+                                                            
+  <read_bloc id="0">                                        
+    <parameter name="size_read_queue"                       value="2" />
+    <parameter name="size_reservation_station"              value="2" />
+    <parameter name="nb_inst_retire_reservation_station"    value="1" />
+  </read_bloc>                                              
+                                                            
+  <write_bloc id="0">                                       
+    <parameter name="size_write_queue"                      value="2" />
+    <parameter name="size_execute_queue"                    value="2" />
+    <parameter name="nb_bypass_write"                       value="0" />
+  </write_bloc>                                             
+                                                            
+  <load_store_unit id="0">                                  
+    <parameter name="size_store_queue"                      value="2" />
+    <parameter name="size_load_queue"                       value="2" />
+    <parameter name="size_speculative_access_queue"         value="2" />
+    <parameter name="nb_port_check"                         value="1" />
+    <parameter name="speculative_load"                      value="2" />
+    <parameter name="nb_bypass_memory"                      value="0" />
+    <parameter name="nb_cache_port"                         value="1" />
+    <parameter name="nb_inst_memory"                        value="1" />
+  </load_store_unit>
+
+  <functionnal_unit id="0">
+    <parameter name="nb_inst_functionnal_unit" value="1" />
+
+    <timing type="0" latence="1" delay="1" />
+  </functionnal_unit>
+
+  <front_end id="0">        
+    <parameter name="nb_decod_unit"                         value="1" />
+    <parameter name="nb_inst_branch_predict"                value="1" />
+    <parameter name="nb_inst_branch_decod"                  value="1" />
+    <parameter name="nb_inst_branch_update"                 value="1" />
+    <parameter name="btb_size_queue"                        value="32"/>
+    <parameter name="btb_associativity"                     value="1" />
+    <parameter name="btb_size_counter"                      value="2" />
+    <parameter name="btb_victim_scheme"                     value="1" />
+    <parameter name="dir_predictor_scheme"                  value="1" />
+  </front_end>
+
+  <ooo_engine id="0">
+    <parameter name="nb_rename_unit"                        value="1" />
+    <parameter name="nb_inst_issue"                         value="1" />
+    <parameter name="nb_inst_reexecute"                     value="1" />
+    <parameter name="nb_inst_commit"                        value="1" />
+    <parameter name="nb_inst_branch_complete"               value="1" />
+    <parameter name="nb_rename_unit_select"                 value="1" />
+    <parameter name="nb_execute_loop_select"                value="1" />
+    <parameter name="size_re_order_buffer"                  value="16"/>
+    <parameter name="nb_re_order_buffer_bank"               value="1" />
+    <parameter name="commit_priority"                       value="1" />
+    <parameter name="commit_load_balancing"                 value="1" />
+    <parameter name="size_issue_queue"                      value="4" />
+    <parameter name="nb_issue_queue_bank"                   value="1" />
+    <parameter name="issue_priority"                        value="1" />
+    <parameter name="issue_load_balancing"                  value="1" />
+    <parameter name="size_reexecute_queue"                  value="2" />
+    <parameter name="reexecute_priority"                    value="1" />
+    <parameter name="reexecute_load_balancing"              value="1" />
+  </ooo_engine>
+
+  <execute_loop id="0">
+    <parameter name="nb_read_unit"                          value="1" />
+    <parameter name="nb_write_unit"                         value="1" />
+    <parameter name="nb_gpr_bank"                           value="1" />
+    <parameter name="nb_gpr_port_read_by_bank"              value="1" />
+    <parameter name="nb_gpr_port_write_by_bank"             value="1" />
+    <parameter name="nb_spr_bank"                           value="1" />
+    <parameter name="nb_spr_port_read_by_bank"              value="1" />
+    <parameter name="nb_spr_port_write_by_bank"             value="1" />
+    <parameter name="execution_unit_to_write_unit_priority" value="1" />
+    <parameter name="read_unit_to_execution_unit_priority"  value="1" />
+
+    <execute_unit id="1">
+      <link name="link_execute_unit_with_load_store_unit"   src="0"/>
+    </execute_unit>
+    <execute_unit id="0">
+      <link name="link_execute_unit_with_functionnal_unit"  src="0"/>
+    </execute_unit>
+
+  </execute_loop>
+
+  <parameter name="size_data"                               value="32" />
+                                                            
+  <parameter name="dispatch_priority"                       value="1" />
+  <parameter name="dispatch_load_balancing"                 value="1" />
+                                                            
+  <parameter name="nb_icache_port"                          value="1" />
+  <parameter name="icache_port_priority"                    value="1" />
+  <parameter name="icache_port_load_balancing"              value="1" />
+                                                            
+  <parameter name="nb_dcache_port"                          value="1" />
+  <parameter name="dcache_port_priority"                    value="1" />
+  <parameter name="dcache_port_load_balancing"              value="1" />
+
+  <link name="link_decod_unit_with_decod_bloc"         src="0"     dest="0.0" />
+  <link name="link_rename_unit_with_rename_bloc"       src="0"     dest="0.0" />
+  <link name="link_read_unit_with_read_bloc"           src="0"     dest="0.0" />
+  <link name="link_write_unit_with_write_bloc"         src="0"     dest="0.0" />
+  <link name="link_decod_bloc_with_thread"             src="0"     dest="0"   />
+  <link name="link_rename_bloc_with_front_end"         src="0"     dest="0"   />
+  <link name="link_load_store_unit_with_thread"        src="0"     dest="0"   />
+
+  <link name="link_icache_port_with_thread"            src="0"     dest="0"   />
+  <link name="link_dcache_port_with_load_store_unit"   src="0.0"   dest="0"   />
+
+  <link name="table_dispatch"                          src="0.0.0" dest="1"   />
+  <link name="link_read_bloc_and_load_store_unit"      src="0.0"   dest="1"   />
+  <link name="link_read_bloc_and_functionnal_unit"     src="0.0"   dest="1"   />
+  <link name="link_write_bloc_and_load_store_unit"     src="0.0"   dest="1"   />
+  <link name="link_write_bloc_and_functionnal_unit"    src="0.0"   dest="1"   />
+  <link name="link_thread_and_functionnal_unit"        src="0.0"   dest="1"   />
+
+</core>
